<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes" encoding="utf-8" />

  <xsl:template match="Utilisateurs">
    <html>
      <head>
      </head>
      <body>
        <h1> Liste des Utilisateurs</h1> <!--!Titre du tableau-->
        <br></br>
        <br></br>
        <br></br>

          <table border="1px">
          <tr>
            <th>Groupe</th> <!--Entetes des colonnes du tableau-->
            <th>Droits</th>
            <th>Nom Prnom</th>
          </tr>
            <tr>
              <td>Administrateurs</td>
              <td>Tous les droits</td> <!--!Affichage des droits pour un administrateur-->
              <xsl:apply-templates select="Administrateurs"/>
            </tr>
          <xsl:apply-templates select="Groupe"/>  
        </table>
      </body>
    </html>
  </xsl:template>



  <xsl:template match="Administrateurs">
    <td>
      <xsl:apply-templates select="Utilisateur"/>
    </td>
  </xsl:template>

  <xsl:template match="Utilisateur"> <!--Affichage du nom et prnom d'un utilisateur-->
          <xsl:value-of select="@nom"/>
          <xsl:text> </xsl:text>
          <xsl:value-of select="@prenom"/>
    <br/>
  </xsl:template>
  
  <xsl:template match="Groupe"> <!--Affichage du nom et des droits attribus  un groupe-->
    <tr>
      <td>
        <xsl:value-of select="@nom"/>
      </td>
      <td>
        <xsl:value-of select="@droits"/>
      </td>
      <td>
        <xsl:apply-templates select="Utilisateur"/>
      </td>
    </tr>
  </xsl:template>


</xsl:stylesheet>
