package Modle;
//
/**
//  Classe grant les rsultats
//
//  @ Project : OptimEisti
//  @ File Name : Resultat.java
//  @ Date : 25/04/2011
//  @ Author : Casey Alexandre, Collasse Emilie, Fong Cynthia, Gauquelin Benoit
*/
//

import java.util.*;

/**
 * Gnration du rsultat
 * @author Administrator
 *
 */
public class Resultat {
	protected Double meilleurRes;
	protected Vector<Variable> variables;
	public Resultat(Double meilleurRes, Vector<Variable> var) {
		this.meilleurRes=meilleurRes;
		this.variables=var;
	}
	
	/**
	 * fonction rcuprant le meilleur rsultat
	 * @return : le meilleur rsultat
	 */
	public Double getMeilleurRes() {
		return meilleurRes;
	}
	/**
	 * Fonction permattant de determiner le meilleur rsultat
	 * @param res
	 */
	public void setMeilleurRes(Double res) {
		this.meilleurRes=res;
	}
	/**
	 * Fonction permattant de rcuperer les variables
	 * @return la variable demande
	 */
	public Vector<Variable> getVariables() {
		return variables;
	}
	/**
	 * 
	 * @param var
	 */
	public void setVariables(Vector<Variable> var) {
		variables=var;
	}
}
